自由换汇汇率查询
- Endpoint:
POST /aggregate-pay/api/gateway/queryCurrencyExchangeRate - Tags: 外汇(新)
Description
支持查询资金账户换汇场景汇率
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Content-Type (header) | string | Yes | |
sign (header) | string | Yes | 签名信息请参考技术文档 |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
version | string | Yes | 接口版本,当前值为:1.5 |
keyVersion | string | Yes | 密钥版本,当前值为:1 |
requestTime | string | Yes | 请求时间,符合rfc3339规范,格式:yyyy-MM-dd'T'HH:mm:ss.SSSXXX 时间需要在当前时间两分钟内 |
appId | string | Yes | 商户应用Id,PayerMax分配给商户应用的唯一标识 会员维度的集成appid |
memberId | string | Yes | 会员号 |
data | object | Yes | 请求数据体 |
data.ccyPairList | array[object] | Yes | 币种对列表 |
data.ccyPairList[].side | string | Yes | 对于交易币种的买卖方向 |
data.ccyPairList[].targetCurrency | string | Yes | 外汇目标币种 |
data.ccyPairList[].transactionCurrency | string | Yes | 外汇交易币种 |
Responses
200
| Field | Type | Required | Description |
|---|---|---|---|
msg | string | Yes | 返回描述,APPLY_SUCCESS代表成功 |
code | string | Yes | |
data | object | Yes | 响应数据,具体响应数据 |
data.rateList | array[object] | Yes | 汇率列表 |
data.rateList[].ccyPair | string | Yes | 币种对 |
data.rateList[].expiryTime | string | Yes | 汇率失效时间,可能为空,格式:yyyy-MM-dd’T’HH:mm:ss.SSSXXX |
data.rateList[].rate | number | Yes | 汇率,代表一个单位的外汇交易币种=?目标币种汇率 |
data.rateList[].rateReferenceId | string | Yes | 汇率唯一ID |
data.rateList[].rateType | string | Yes | 汇率类型,Tradable可交易/Reference仅供参考 |
data.rateList[].side | string | Yes | 对于交易币种的买卖方向,BUY/SELL |
data.rateList[].targetCurrency | string | Yes | 外汇目标币种 |
data.rateList[].transactionCurrency | string | Yes | 外汇交易币种 |
